Subject: Re: [bug#34613] Acknowledgement ([PATCH] gnu: Add prometheus.)

From: Ludovic Courtès <[email-masked]>
Date: Wed, 13 Mar 2019 11:06:29 +0100

Hi,

Gábor Boskovits <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> ezt írta (időpont: 2019. márc. 11., H, 23:20):
>>
>> Hi Gábor!
>>
>> Gábor Boskovits <[email-masked]> skribis:
>
>>
>> Glyphicons appears to be non-free, indeed.  Could you check what Debian
>> does, for instance?  It may be that we can just remove or replace it
>> with something else.
>
> I've checked this, this is not actually included in the prometheus
> source anywhere,
> only copied from the influxdb license file. The only other appearance
> of glyphicons
> in the code is for the web interface, where it is part of bootstrap,
> and as such it is under
> apl2.0 there.
>
> I don't know if it is a problem to allow this influxdb module stub to
> live in the source,
> but I don't think so... (I would not consider this as a case of
> promoting use of non-free
> software.) Wdyt?

What’s influxdb?  I’m afraid I don’t understand this sufficiently well
to provide useful comments, but I trust you to make the right decision.
:-)

The thing is, Glyphicons does seem to be non-free, so if it ends up
being included one way or another, we have a problem.  I would have
expected Debian to provide replacement icons or something like that.

Thanks,
Ludo’.